Subject: Re: 24.0.50; [PATCH] pop3-open-server fails to parse response to CAPA

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Sun, 03 Jul 2011 15:51:55 +0200

Wolfgang Jenkner <[email-masked]> writes:

> So it seems that "+OK Capability list follows" arrived in a separate
> chunk and was matched by the second alternative of the regexp specified
> for :end-of-command in pop3-open-server before the actual capability
> list followed and the regexp's first alternative had a chance to match.
> (I haven't tested this theory, though, since it seems valid as
> a theoretical possibility anyway :-)

I think you're totally right.

I've applied parts of your patch to Emacs 24/No Gnus, and redid other
parts slight.

Thanks for the bug fix.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/